# 安全运营

> **一、安全运营概念**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>安全运营的概念；
>
> **二、安全运营管理**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>漏洞的概念及漏洞检测、漏洞评估等漏洞管理工作;<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>补丁管理的重要性及补丁管理工作步骤；<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>变更管理的作用及工作步骤：<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>配置管理的基本概念；<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>事件管理的基本概念。

### 一、安全运营概述

#### 1、安全运营的概念

- 建立机制对信息系统运行状况进行<span style="color:blue;">监控</span>，对运行中的问题进行<span style="color:blue;">分析</span>，<span style="color:blue;">发现</span>问题的根源并<span style="color:blue;">协调</span>资源进行解决，以<span style="color:blue;">实现</span>安全目标；
- 安全运营面向组织机构业务，与IT运营相辅相成。

#### 2、安全运营参考标准

- COBIT：IT控制和IT度量评价

- ITIL：IT过程管理、强调IT支持和IT交付

  > ITIL是IT服务管理的最佳实践（ITIL4）

- ISO 27000：IT安全控制

### 二、安全运营管理

#### 1、安全漏洞的概念

1. **什么是安全漏洞(Vulnerability)**
   - 也被称为脆弱性，计算机系统天生的类似基因的缺陷，在使用和发展过程中产生意想不到的问题（冯·诺依曼）；
   - 漏洞是存在于评估对象(TOE)中的，在一定的环境条件下可能违反安全功能要求的弱点（ISO/IEC 15408）。
2. **安全漏洞的范畴**
   - 漏洞本身随着信息技术的发展而具有不同的含义与范畴；
   - 基于访问控制的定义逐步发展到涉及系统安全流程设计、实施、内部控制等<span style="color:red;">全过程</span>的定义。

#### 2、漏洞管理的重要性

1. **为什么需要漏洞管理**
   - 漏洞是信息系统中<span style="color:red;">必然存在</span>的安全问题，对漏洞进行管理是保障信息系统安全的<span style="color:red;">重要工作</span>。
2. **漏洞管理工作**
   - 漏洞<span style="color:red;">检测</span>
   - 漏洞<span style="color:red;">评估</span>

#### 3、补丁管理

1. **<span style="color:red;">基本意义</span>**
   - 有效的补丁管理程序能够确保系统安装当前<span style="color:red;">最新的</span>补丁。
2. **主要步骤**
   - <span style="color:red;">评估</span>补丁（较为重要）
   - <span style="color:red;">测试</span>补丁（较为关键）
   - <span style="color:red;">批准</span>补丁（常与变更管理联动）
   - <span style="color:red;">部署</span>补丁（人工、自动）
   - <span style="color:red;">验证</span>补丁（伴随跟进的过程）

#### 4、变更管理与配置管理

1. **保证项目在变化过程中始终处于<span style="color:red;">可控</span>状态，并随时可跟踪<span style="color:red;">回溯</span>到某个历史状态。**
   - 变更管理：可控性
   - 配置管理：—致性
2. **变更管理的过程**
   - 提交变更申请
   - 变更审核
   - 变更批准
   - 变更实施
   - 变更记录
3. **配置管理**
   - 定义和控制服务与基础设施的部件，并保持准确的配置信息

#### 5、事件管理

- 减少或消除事件（包括IT事件和安全事件）对信息系统运行带来的干扰；
- <span style="color:red;">检测事件</span>然后准确确定正确的支持资源以便尽快解决事件的能力；
- 为管理层提供关于影响组织的事件的准确信息以便他们能够确定必需的支持资源，并为支持资源的供给做好计划；
- <span style="color:red;">事件管理流程涉及运营的整个生命周期</span>。

