# 信息内容安全

> **一、内容安全基础**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>内容安全的概念、重要性及内容安全管理的需求。
>
> **二、数字版权**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>著作权、版权的概念；<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>数字版权管理相关概念及技术；<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>使用数据版权保护信息的措施。
>
> **三、信息保护**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:blue;">理解</span>信息的价值：<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>信息泄露的途径；<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>隐私保护的概念和隐私保护措施。
>
> **四、网络舆情**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>网络舆情的概念；<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>网络舆情管理措施及网络舆情监控技术。

### 一、内容安全基础

#### 1、数字资源基本概念

- 将计算机技术、通信技术及多媒体技术相互融合而形成的以<span style="color:red;">数字形式</span>发布、存取、利用的信息资源总和。

#### 2、法律法规

> 国家制定<span style="color:red;">多条法律法规</span>来保障数字资源的安全性

- 《中华人民共和国网络安全法》第十二条
- 《中华人民共和国网络安全法》第四章第四十条与第四十二条
- 《国务院关于授权国家互联网信息办公室负责互联网信息内容管理工作的通知》

#### 3、内容安全需求

1. 内容来源可靠
   - 数字资源来源可靠，借助数字版权管理技术，对其加以控制。
2. 信息泄露
   - 敏感信息泄露控制。
3. 非法信息
   - 不良信息传播控制。

### 二、数字版权

#### 1、版权

- 我国现行著作权法第五条规定：<span style="color:red;">著作权</span>与<span style="color:red;">版权</span>系同义语”；
- 天赋人权：凡是中国公民，法人或者非法人单位的作品，不论是否发表都享有著作权。

#### 2、数字版权

- 指各类出版物、信息资料的网络出版权，可以通过新兴的数字媒体传播内容的权利。

#### 3、数字版权管理相关技术

1. 数字版权管理（Digital Rights Management，DRM）
   - 用于保护数字作品的版权的一种方式，从技术上防止数字媒体的非法复制和非法使用，确保最终用户在得到授权后才能使用的数字媒体。
2. 主要采用的技术
   - 数字水印、版权保护、数字签名、数据加密。
3. DRM六大功能：
   - 数字媒体加密、阻止非法内容注册、用户环境检测、用户行为监控、认证机制、付费机制和存储管理。

#### 4、数字版权保护措施

1. 数字对象标识符（Digital Object Identifier，DOI）系统，目即在数字环境下标识知识产权对象的一种开放性系统。
2. 数字版权唯一标识符DCI（Digital Copyright Identifier）体系，它是数字作品权属的唯一标识，以有效应对互联网版权保护面临的挑战。
   - 数字作品版权登记平台
   - 数字版权费用结算平台
   - 数字版权检测取证平台

### 三、信息保护

#### 1、信息

- 泛指人类社会传播的一切内容；
- 任何的信息都是有价值的。

#### 2、信息泄露途径

- 个人隐私信息泄漏
  - 社交网络、各类单据等。
- 组织机构的敏感信息泄漏
  - 信息公示过于细致；
  - 缺乏敏感信息标记。

#### 3、信息保护

1. 个人隐私信息保护
   - 如重要证件（身份证、军官证）等不随身携带，银行卡、U盾等应及时升级等。
2. 组织信息保护
   - 技术措施
     - 敏感信息泄露防护措施包括<span style="color:red;">数据加密</span>、<span style="color:red;">信息拦截</span>，<span style="color:red;">访问控制</span>等具体实现。
   - 管理措施
     - 结合各类<span style="color:red;">管理措施</span>并落实相关<span style="color:red;">安全工程</span>。

### 四、网络舆情

#### 1、基本概念

- 在一定的社会空间内，通过网络围绕<span style="color:red;">中介性</span>社会事件的发生、发展和变化，<span style="color:red;">民众</span>对公共问题和社会管理者<span style="color:red;">产生</span>和<span style="color:red;">持有</span>的社会政治<span style="color:red;">态度</span>、<span style="color:red;">信念</span>和<span style="color:red;">价值观</span>。
- 以<span style="color:red;">网络</span>为载体，以<span style="color:red;">事件</span>为核心，广大网民情感、态度、意见、观点的<span style="color:red;">表达</span>、<span style="color:red;">传播</span>与<span style="color:red;">互动</span>，以及后续影响力的集合。

#### 2、表现方式

- 新闻评论、BBS论坛、博客、播客、微博、聚合新闻（RSS)、新闻跟帖及转帖等等。

#### 3、网络舆情管理措施

- 及时且有效控制并降低舆情事态的扩大，是网络舆情管理的首要前提，其<span style="color:red;">主要措施包含如下</span>：
  - <span style="color:red;">确立政府主导地位</span>，发挥媒体监督功能；
  - 夯实网络舆情理论研究，积极开发网络舆情监测软件；
  - 把握网络舆情管理的原则，建立和完善网络舆情管理机制。

#### 4、网络舆情系统监控技术

- <span style="color:red;">采集</span>：搜索引擎、爬虫等、数据格式的转换、元数据的标引等；
- <span style="color:red;">分析</span>：分类、聚类、摘要等；
- <span style="color:red;">呈现</span>：信息再组织及结果推送。