# 物理安全

> **一、环境安全**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>物理安全的重要性；<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>场地和环境安全应关注的因素：包括场地选择、抗震及承重、防火、防水、供电、空气调节、电磁防护、雷击及静电等防护技术。
>
> **二、设施安全**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>安全区域的概念及相关防护要求；<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>边界防护的概念及相关防护要求；<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:blue;">理解</span>审计及监控的概念及相关防护要求。
>
> **三、传输安全**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:blue;">理解</span>同轴电缆、双绞线、光纤等有线传输技术及安全特点；<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:blue;">理解</span>无线安全传输技术及安全特点。

### 一、环境安全

> <span style="color:red;">物理安全是信息安全管理的基础。</span>

1. **物理安全的重要性**
   - 信息系统安全战略的一个重要组成部分
   - 物理安全面临问题
     - 环境风险不确定性
     - 人类活动的不可预知性
2. **典型的物理安全问题**
   - <span style="color:red;">自然灾害</span>（地震、雷击、暴雨、泥石流等）
   - <span style="color:red;">环境因素</span>（治安、交通、人流及经营性设施风险）
   - <span style="color:red;">设备安全、介质安全、传输安全</span>

#### 1、场地选择

- 区域：避开自然灾害高发区域
- 环境：远离可能的危险因素
  - 治安、人流量等
  - 加油站、化工厂等
- 其他：消防、交通便利

#### 2、抗震及承重

> 对建设工程抗震设防类别由高到低划分为<span style="color:red;">①</span>特殊设防类、<span style="color:red;">②</span>重点设防类、<span style="color:red;">③</span>标准设防类、<span style="color:red;">④</span>适度设防类。

- 抗震：国标《结构抗震设计规范》
  - 牛特殊设防类
  - 重点设防类
  - 标准设防类
- 承重
  - 考虑设计（建筑的设计是否考虑了应对可能的偶然事件）
  - 考虑时间因素（建筑有效期）
  - 考虑使用因素（正常使用、正常维护）

#### 3、火灾

> 火灾防护的工作是通过<span style="color:red;">①</span>构建火灾预防、<span style="color:red;">②</span>检测、<span style="color:red;">③</span>响应系统；最理想的状态是机房为独立建筑；将机房单独设置防火区。

- 预防：防火设计及阻燃材料

- 检测：火灾探测器

  - 感烟
  - 感温
  - 感光
  - 可燃气体探测

- 抑制

  - 水（较少使用，通常做周边防护）
  - 气体：二氧化碳、七氟丙烷、三氟甲烷等

  > 由于计算机机房中有大量精密电子设备，不宜采用水作为计算机机房的灭火介质，因此目前广泛在机房中使用气体灭火系统。

#### 4、防水

> 我国等级保护（等保1.0）中对于三级以上系统的场地选择有机房不能建在地下室和顶层的明确要求（等保2.0已取消此条限制）。

- 远离水浸威胁（参考场地选择）
- 检测：水浸探测器
- 处置：在应急事件处置中要安排相应的处置流程

#### 5、供电

> 电力供应需要解决两个问题：一是确保电力供应不中断；二是确保电力供应平稳。

- 双路供电（有些地方存在多路供电的要求）
- 发电机
- UPS

#### 6、空气调节

> 普通空调系统无法满足机房运营保障，需要使用机房专用的精密空。

![image-20241002135618471](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/image-20241002135618471.png) 

![image-20241002135655713](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/image-20241002135655713.png) 

#### 7、电磁防护

- <span style="color:red;">解决电磁辐射产生的信息泄露问题</span>
  - 电磁屏蔽：屏蔽线、屏蔽机柜、屏蔽机房；
  - 信号干扰：避免信息还原；
  - Tempest技术：对电磁泄漏信号中所携带的敏感信息进行分析、测试、接收、还原以及防护的一系列技术领域的总称。

#### 8、雷击及静电

- 直击雷：避雷针、法拉第笼
- 感应雷：电涌保护器
- 静电：放电、防静电服

### 二、设施安全

#### 1、安全区域与边界防护

1. **安全区域**
   - 建立安全区域，日明确物理安全边界
   - 对受控区域进行保护，建立屏蔽及访问控制机制
2. **边界防护**
   - 所有物理出入通道的防护
     - 门：锁、门禁
     - 窗：铁栅栏
     - 通风口

#### 2、审计及监控

1. **审计及监控**
   - 对安全区域的出入行为进行<span style="color:red;">记录</span>
   - 对非法闯入进行检测
2. **实现方式**
   - 出入记录（登记、门禁）
   - 闭路电视
   - 非法闯入探测（红外微波双鉴探头、玻璃破碎探测器等）
   - 安保人员

### 三、传输介质安全

#### 1、有线传输

> 同轴电缆、双绞线、光纤

- 安全风险：非法接入、破坏
- 防护措施：保护措施（深埋、套管）、标识

#### 2、无线传输

- 安全风险：开放信道
- 防护措施：加密